Skip to main content
POST
/
v1
/
accounts
/
withdrawals
Create an account bank withdrawal
curl --request POST \
  --url https://api-sandbox.circle.com/v1/accounts/withdrawals \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "idempotencyKey": "ba943ff1-ca16-49b2-ba55-1057e70ca5c7",
  "destination": {
    "type": "wire",
    "id": "b8627ae8-732b-4d25-b947-1df8f4007a29"
  },
  "amount": {
    "amount": "3.14",
    "currency": "USD"
  }
}
'
{
  "data": {
    "id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
    "sourceAccountId": "<string>",
    "destination": {
      "type": "wire",
      "id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
      "name": "COMMERZBANK AG ****3000"
    },
    "amount": {
      "amount": "3.14",
      "currency": "USD"
    },
    "toAmount": {
      "currency": "USD",
      "amount": "3.14"
    },
    "fees": {
      "amount": "3.14",
      "currency": "USD"
    },
    "status": "pending",
    "trackingRef": "<string>",
    "errorCode": "insufficient_funds",
    "externalRef": "b8627ae8-732b-4d25-b947-1df8f4007a29",
    "riskEvaluation": {
      "decision": "approved",
      "reason": "3000"
    },
    "adjustments": {
      "fxCredit": {
        "amount": "3.14",
        "currency": "USD"
      },
      "fxDebit": {
        "amount": "3.14",
        "currency": "USD"
      }
    },
    "return": {
      "id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
      "payoutId": "abdb500d-4a59-457c-801f-2d418c8703ac",
      "amount": {
        "amount": "3.14",
        "currency": "USD"
      },
      "fees": {
        "amount": "3.14",
        "currency": "USD"
      },
      "reason": "payout_returned",
      "status": "pending",
      "createDate": "2020-04-10T02:13:30.000Z",
      "updateDate": "2020-04-10T02:13:30.000Z"
    },
    "createDate": "2020-04-10T02:13:30.000Z",
    "updateDate": "2020-04-10T02:13:30.000Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
idempotencyKey
string<uuid>
required

Universally unique identifier (UUID v4) idempotency key. This key is utilized to ensure exactly-once execution of mutating requests.

Example:

"ba943ff1-ca16-49b2-ba55-1057e70ca5c7"

destination
object
required

The destination bank account.

amount
object
required
source
object

The source account for the withdrawal. The type must be account.

toAmount
object

To be used when requesting currency exchange.

Response

Successfully created a withdrawal.

data
object